import Vue from 'vue';
import Vuex from 'vuex';
import {deepClone} from '@utils/tools.js'
Vue.use(Vuex);

const store = new Vuex.Store({
  state:{
    pathInfo:{}, //患者信息-后续提交要用
    sysConfig:[], //系统配置项
    allMoudles:[], //模板
    // originDatas:{},  //getById获取到的源数据
    // datas:{},  //处理过的数据
    updata:false,  //更新数据
    // imgFile:[],   //上传图片信息file
    // imgSrc:{},   //上传的图片信息src
    symptom:{ //症状情况
      choose:[],
      origin:{},
      datas:{},
      text:{}
    },
    diagnose:{ //诊疗
      origin:{},
      datas:{},
      text:"",
      imgFile:[],
      imgSrc:{}
    }
  },
  mutations:{
    savePathInfo(state,param){
      state.pathInfo = param;
    },
    saveSysConfig(state,param){
      state.sysConfig = param;
    },
    saveAll(state,param){
      state.allMoudles = param;
    },
    setOrigin(state,param){
      const type = parseInt(param.type);
      const data = param.data;
      switch(type){
        case 1: //症状情况
          state.symptom.origin = Object.assign({},state.symptom.origin,{[data.id]:data});
          break;
        case 2: //诊疗情况
          
          break;
        case 3:

          break;
        case 4:

          break;
        default:
          break;
      }
    },
    setDatas(state,param){
      const type = parseInt(param.type);
      switch(type){
        case 1:
          state.symptom.datas = Object.assign({},state.symptom.datas,{[param.pId]:param.data});
          break;
        case 2: //诊疗情况
          break;
        case 3:

          break;
        case 4:

          break;
        default:
          break;
      }
      
    },
    setText(state,param){
      const type = parseInt(param.type);
      switch(type){
        case 1:
          state.symptom.text = Object.assign({},state.symptom.text,{[param.pId]:param.text});
          break;
        case 2: //诊疗情况
          
          break;
        case 3:

          break;
        case 4:

          break;
        default:
          break;
      }
    },
    setChoose(state,param){ //症状情况-已选症状
      state.symptom.choose = param.choose;
    },
    getUpdate(state){//更新数据
      state.updata = !state.updata;
    },
    setImgFile(state,param){//区别模块
      const type = parseInt(param.type);
      switch(type){
        case 1:

          break;
        case 2: //诊疗情况
          state.diagnose.imgFile.push(param);
          break;
        case 3:

          break;
        case 4:

          break;
        default:
          break;
      }
      
    },
    setImgSrc(state,param){
      const key = param.key;
      const src = param.src;
      const type = parseInt(param.type);
      switch(type){
        case 1:

          break;
        case 2:
          state.diagnose.imgSrc = Object.assign({},state.diagnose.imgSrc,{[key]:src});
          break;
        case 3:

          break;
        case 4:

          break;
        default:
          break;
      }
      
    },
    deleImg(state,param){
      const key = param.key;
      const type = parseInt(param.type);
      switch(type){
        case 1:

          break;
        case 2:
          let data = state.diagnose.imgFile;
          for(let i=0; i<data.length;i++){
            if(data[i].key==key){
              data.splice(i,1)
            }
          }
          break;
        case 3:

          break;
        case 4:

          break;
        default:
          break;
      }
      
    },
    deleSrc(state,param){
      const key = param.key;
      const type = parseInt(param.type);
      switch(type){
        case 1:

          break;
        case 2:
          let data = state.diagnose.imgFile;
          let obj = state.diagnose.imgSrc;
          delete(obj[key]);
          state.diagnose.imgSrc = Object.assign({},obj);
          break;
        case 3:

          break;
        case 4:

          break;
        default:
          break;
      }
      
    },
  }
})

export default store;